Package com.independentsoft.graph

# Class PhysicalAddress

java.lang.Object
com.independentsoft.graph.PhysicalAddress

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class PhysicalAddress extends Object implements ICreatable, IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhysicalAddress()`
  `PhysicalAddress​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCity()`
  `String`
  `getCountry()`
  `String`
  `getPostalCode()`
  `String`
  `getPostOfficeBox()`
  `String`
  `getState()`
  `String`
  `getStreet()`
  `PhysicalAddressType`
  `geType()`
  `void`
  `setCity​(String city)`
  `void`
  `setCountry​(String country)`
  `void`
  `setPostalCode​(String postalCode)`
  `void`
  `setPostOfficeBox​(String postOfficeBox)`
  `void`
  `setState​(String state)`
  `void`
  `setStreet​(String street)`
  `void`
  `setType​(PhysicalAddressType type)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PhysicalAddress

    public PhysicalAddress()

  - ### PhysicalAddress

    public PhysicalAddress​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### getCity

    public String getCity()

  - ### setCity

    public void setCity​(String city)

  - ### getCountry

    public String getCountry()

  - ### setCountry

    public void setCountry​(String country)

  - ### getPostalCode

    public String getPostalCode()

  - ### setPostalCode

    public void setPostalCode​(String postalCode)

  - ### getPostOfficeBox

    public String getPostOfficeBox()

  - ### setPostOfficeBox

    public void setPostOfficeBox​(String postOfficeBox)

  - ### getState

    public String getState()

  - ### setState

    public void setState​(String state)

  - ### getStreet

    public String getStreet()

  - ### setStreet

    public void setStreet​(String street)

  - ### geType

    public PhysicalAddressType geType()

  - ### setType

    public void setType​(PhysicalAddressType type)